package com.brilliance.isc.vo.collection;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Docgrdm extends AbstractCommonVo {

    List<String> docgrdlst;

    // docgrd,rightdocgrd指向同一数据,需求：将该列表拆分成左右两个表格进行展示
    List<Docgrd> docgrd;

    List<Docgrd> rightdocgrd;

    private String docdsclab;

    @Override
    public void reset() {
        super.reset();
        if (docgrd == null) {
            docgrd = new ArrayList<>();
        }
        if (rightdocgrd == null) {
            rightdocgrd = new ArrayList<>();
        }
        if (docgrdlst == null) {
            docgrdlst = new ArrayList<>();
        }
    }
}
